test.wikidata.org config seems to be broken
Closed, ResolvedPublic2 Story Points

Description

When I tried to add statements in test.wikidata.org I get the following error from the console:

Access to XMLHttpRequest at 'https://www.wikidata.org/w/api.php?action=wbsgetsuggestions&search=original&context=item&format=json&language=en&entity=Q178735' from origin 'https://test.wikidata.org' has been blocked by CORS policy: No 'Access-Control-Allow-Origin' header is present on the requested resource

It looks like it's trying to get properties from wikidata.org instead of test.wikidata.org like it should.

Mvolz created this task.Nov 1 2018, 11:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2018, 11:53 AM
Mvolz updated the task description. (Show Details)Nov 1 2018, 11:54 AM
Mvolz updated the task description. (Show Details)Nov 1 2018, 11:55 AM
Addshore set the point value for this task to 2.

It looks like wbRepo is misconfigured:

» mw.config.get('wbRepo').url
 "https://www.wikidata.org"

This causes the entity selector (and probably other things as well) to use the wrong API URL.

Change 471000 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] List wikidataclient-test in CS.php dblists

https://gerrit.wikimedia.org/r/471000

Change 471000 merged by jenkins-bot:
[operations/mediawiki-config@master] List wikidataclient-test in CS.php dblists

https://gerrit.wikimedia.org/r/471000

Mentioned in SAL (#wikimedia-operations) [2018-11-01T12:50:35Z] <addshore@deploy1001> Synchronized wmf-config/CommonSettings.php: List wikidataclient-test in CS.php dblists T208488 (duration: 00m 57s)

Addshore closed this task as Resolved.Nov 1 2018, 2:18 PM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

This appears to be fixed now.
But some bad values might be cached in resource loader for a little while.

Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 1 2018, 2:18 PM
Mvolz added a comment.Nov 5 2018, 7:35 PM

This appears to be fixed now.
But some bad values might be cached in resource loader for a little while.

How long? Seems to still not work.

test.wikidata.org gets updated to a new MediaWiki version today 20:00 – 22:00 UTC, I hope that’ll resolve the issue. Otherwise we’ll have to revisit this issue.

Mvolz added a comment.Nov 6 2018, 11:06 AM

test.wikidata.org gets updated to a new MediaWiki version today 20:00 – 22:00 UTC, I hope that’ll resolve the issue. Otherwise we’ll have to revisit this issue.

Ah okay, thanks :)